﻿using GrapeCity.Windows.SpreadSheet.UI;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfSpreadDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            spread.Sheets[0].Columns.Count = 2;
            spread.Sheets[0].Rows.Count= 2;
            spread.ColumnWidthChanged += OnGdmSpreadSheetColumnWidthChanged;
        }

        private void OnGdmSpreadSheetColumnWidthChanged(object sender, ColumnWidthChangedEventArgs e)
        {
            Debug.WriteLine(spread.ActiveSheet.Columns[e.ColumnList[0]].ActualWidth);
        }
    }
}
